define network::interface ($mac, $ip, $mask, $routes='') {

  file { "/etc/sysconfig/network-scripts/ifcfg-${name}":
    owner => root,
    group => root,
    content => template('network/ifcfg.erb'),
    notify => Class['network::service'],
  }

  if ( $routes != '' ) {
    file { "/etc/sysconfig/network-scripts/route-${name}":
      owner => root,
      group => root,
      content => template('network/route.erb'),
      notify => Class['network::service'],
    }
  }

}
